(*

DO NOT CHANGE THIS SCRIPT! CREATE YOUR OWN VERSION AND SAVE IT WITH A DIFFERENT NAME! Thank you!

*)
global debugFlag

on run (argv)
	set debugFlag to false # CHANGE BEFORE DEPLOYING!
	
	if (debugFlag is false) then
		(* Plausibility check *)
		if (count of argv) is less than 1 then return 1
		
		(* Get argument #1, should be the tempfile with the selected image urls *)
		set listOfSelectedFilePathsTempFile to first item of argv
		
		(* Get the file urls *)
		set listOfSelectedFilePathsString to readUTF16File(listOfSelectedFilePathsTempFile)
	else
		set listOfSelectedFilePathsString to readUTF16File("/Users/heiko/Desktop/foo4.txt")
		#		set listOfSelectedFilePathsString to "/Users/heiko/Pictures/ct_logo.gif" (* if we're debugging, open one file from my disk ... *)
	end if
	
	(* Walk through the urls *)
	set listOfSelectedFilePathsList to every paragraph of listOfSelectedFilePathsString
	repeat with oneURL in listOfSelectedFilePathsList
		
		tell me to set theFileExists to fileExists(oneURL)
		log "theFileExists: " & theFileExists
		if (theFileExists) then
			(* open w/ PS *)
			log "Opening: " & oneURL
			tell application "Adobe Photoshop CS3"
				activate
				log oneURL
				tell application "Finder"
					set theFile to POSIX path of oneURL
					log theFile
				end tell
				#my NSLog(theFile)
				open file theFile
			end tell
		else
			log oneURL & " doesn't exist. Skipping."
		end if
		
	end repeat
	
	return 0
end run

on readUTF16File(unixPath) # http://stackoverflow.com/questions/4981598/how-to-create-and-write-utf-16-text-file-using-applescript
	try
		set openFile to open for access POSIX file unixPath
		set theText to read openFile as Unicode text
		close access openFile
	on error
		try
			close access file targetFile
		end try
		return false
	end try
	return theText as string
end readUTF16File

on fileExists(posixPath)
	set res to false
	log "posixPath: " & posixPath
	try
		tell AppleScript
			set theFile to POSIX file posixPath (* Das geht immer! *)
			set a to theFile as alias (* Das nur, wenn das file existiert! *)
		end tell
		set res to true
	end try
	log "file \"" & posixPath & "\" exists? " & (res as string)
	return res
end fileExists

on readFile(unixPath)
	set foo to (open for access (POSIX file unixPath))
	set txt to (read foo for (get eof foo))
	close access foo
	return txt
end readFile

on NSLog(message)
	try
		do shell script ("syslog -s -l Notice \"" & message & "\"")
	on error (e)
		log e
	end try
end NSLog
